Bug 123303 - [NEW PORT] science/pycdf : a python interface to the Unidata netCDF library
[NEW PORT] science/pycdf : a python interface to the Unidata netCDF library
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 17:00 UTC by wenheping
Modified: 2008-06-03 10:50 UTC (History)
0 users

See Also:


Attachments
file.shar (3.36 KB, text/plain)
2008-05-01 17:00 UTC, wenheping
no flags Details
pycdf20080528.shar.txt (3.70 KB, text/plain)
2008-05-29 06:35 UTC, wenheping
no flags Details
pycdf20080528.shar.txt (3.70 KB, text/plain)
2008-05-29 16:24 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2008-05-01 17:00:02 UTC
Pycdf is a python interface to the Unidata
netCDF library.  It provides an almost complete
coverage of the netCDF C API, wrapping it
inside easy to use python classes.

pycdf has been written so as to stick as closely
as possible to the naming conventions and
calling sequences documented inside the
"NetCDF Users Guide for C" manual. Even if
pycdf gives an OOP twist to the C API, the C
manual can be easily used as a documentary source
for pycdf, once the class to which a method
belongs has been identified, and of course once
requirements imposed by the Python langage have
been taken into account.

WWW:  http://pysclint.sourceforge.net/pycdf/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-01 17:00:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-05-18 00:30:16 UTC
State Changed
From-To: open->feedback

Hi Wen, 

Build failed, 


===>  Vulnerability check disabled, database not found ===>  Extracting 
for pycdf-0.6.3 => MD5 Checksum OK for pycdf-0.6-3b.tar.gz.  => SHA256 
Checksum OK for pycdf-0.6-3b.tar.gz.  ===>  Patching for pycdf-0.6.3 
===>   pycdf-0.6.3 depends on file: 
/usr/local/lib/python2.5/site-packages/numpy - found ===>   pycdf-0.6.3 
depends on file: /usr/local/lib/libnetcdf.so - found ===>   pycdf-0.6.3 
depends on file: /usr/local/bin/python2.5 - found ===>  Configuring for 
pycdf-0.6.3 running config ===>  Building for pycdf-0.6.3 running build 
running build_py creating build creating 
build/lib.freebsd-8.0-CURRENT-i386-2.5 creating 
build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf copying pycdf/__init__.py 
-> build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf copying pycdf/pycdf.py 
-> build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf copying 
pycdf/pycdfext.py -> build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf 
copying pycdf/pycdfext_array.py -> 
build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf running build_ext building 
'pycdf._pycdfext' extension C compiler: cc -DNDEBUG -O2 
-fno-strict-aliasing -pipe -D__wchar_t=wchar_t 
-DTHREAD_STACK_SIZE=0x20000 -O2 -pipe -fno-strict-aliasing -fPIC 

creating build/temp.freebsd-8.0-CURRENT-i386-2.5 creating 
build/temp.freebsd-8.0-CURRENT-i386-2.5/pycdf creating 
build/temp.freebsd-8.0-CURRENT-i386-2.5/pycdf/pycdfext creating 
build/temp.freebsd-8.0-CURRENT-i386-2.5/pycdf/pycdfext/numpy compile 
options: '-I/usr/local/lib/python2.5/site-packages/numpy/core/include 
-I/usr/local/include/python2.5 -c' cc: 
pycdf/pycdfext/numpy/pycdfext_wrap.c cc -shared -pthread -O2 -pipe 
-fno-strict-aliasing 
build/temp.freebsd-8.0-CURRENT-i386-2.5/pycdf/pycdfext/numpy/pycdfext_wrap.o 
-lnetcdf -o build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf/_pycdfext.so 
/usr/bin/ld: cannot find -lnetcdf /usr/bin/ld: cannot find -lnetcdf 
error: Command "cc -shared -pthread -O2 -pipe -fno-strict-aliasing 
build/temp.freebsd-8.0-CURRENT-i386-2.5/pycdf/pycdfext/numpy/pycdfext_wrap.o 
-lnetcdf -o build/lib.freebsd-8.0-CURRENT-i386-2.5/pycdf/_pycdfext.so" 
failed with exit status 1 *** Error code 1 

Stop in /usr/ports/science/pycdf.
Comment 3 Martin Wilke freebsd_committer 2008-05-27 08:53:18 UTC
State Changed
From-To: feedback->closed

Feedback timeout. If this problem still exists, please feel free to 
follow-up this PR so that we can re-open it and find a solution for the 
problem. Thanks!
Comment 4 Martin Wilke freebsd_committer 2008-05-29 07:18:59 UTC
State Changed
From-To: closed->open

submitter sent a new patch.
Comment 6 Martin Wilke freebsd_committer 2008-06-03 10:41:18 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 7 dfilter freebsd_committer 2008-06-03 10:41:48 UTC
miwi        2008-06-03 09:41:36 UTC

  FreeBSD ports repository

  Modified files:
    science              Makefile 
  Added files:
    science/pycdf        Makefile distinfo pkg-descr pkg-plist 
    science/pycdf/files  patch-setup.py 
  Log:
  Pycdf is a python interface to the Unidata netCDF library. It provides an
  almost complete coverage of the netCDF C API, wrapping it inside easy to
  use python classes.
  
  WWW:  http://pysclint.sourceforge.net/pycdf/
  
  PR:             ports/123303
  Submitted by:   wenheping at gmail.com
  
  Revision  Changes    Path
  1.127     +1 -0      ports/science/Makefile
  1.1       +30 -0     ports/science/pycdf/Makefile (new)
  1.1       +3 -0      ports/science/pycdf/distinfo (new)
  1.1       +11 -0     ports/science/pycdf/files/patch-setup.py (new)
  1.1       +5 -0      ports/science/pycdf/pkg-descr (new)
  1.1       +14 -0     ports/science/pycdf/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"